package-$(BR2_PACKAGE_XINETD) += xinetd
package-$(BR2_PACKAGE_ZLIB) += zlib
-DEV_LIBS:=tcp_wrappers glib ncurses openssl pcre popt zlib libnet libpcap mysql postgresql iptables matrixssl lzo gmp fuse portmap libelf uclibc++ speex libpng libgd wireless-tools nvram
+DEV_LIBS:=tcp_wrappers glib ncurses openssl pcre popt zlib libnet libpcap mysql postgresql iptables matrixssl lzo gmp fuse portmap libelf uclibc++ speex libpng libgd wireless-tools nvram linux-atm
DEV_LIBS_COMPILE:=$(patsubst %,%-compile,$(DEV_LIBS))
SDK_DEFAULT_PACKAGES:=busybox dnsmasq iptables wireless-tools dropbear bridge ipkg ppp
SDK_DEFAULT_COMPILE:=$(patsubst %,%-compile,$(SDK_DEFAULT_PACKAGES))
osiris-compile: openssl-compile
portmap-compile: tcp_wrappers-compile
postgresql-compile: zlib-compile
+ppp-compile: linux-atm-compile
quagga-compile: readline-compile ncurses-compile
rrdcollect-compile: rrdtool-compile
rrdtool-compile: cgilib-compile freetype-compile libart-compile libpng-compile
+++ /dev/null
-# Network configuration file
-
-# Uncomment the following statements to override the default or nvram config
-# lan_ifame="br0"
-# lan_proto="static"
-# lan_ipaddr="192.168.1.1"
-# lan_netmask="255.255.255.0"
-# lan_gateway=""
-# lan_dns=""
default y
select BR2_PACKAGE_KMOD_PPP
+config BR2_PACKAGE_PPP_MOD_PPPOA
+ prompt "...-mod-pppoa - PPPoA (PPP over ATM) plugin"
+ tristate
+ default y if BR2_LINUX_2_4_AR7
+ depends on BR2_PACKAGE_PPP
+ select BR2_PACKAGE_KMOD_PPPOA
+
config BR2_PACKAGE_PPP_MOD_PPPOE
prompt "...-mod-pppoe - PPPoE (PPP over Ethernet) plugin"
tristate
endef
$(eval $(call PKG_template,PPP,ppp,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
+$(eval $(call PKG_template,PPP_MOD_PPPOA,ppp-mod-pppoa,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
$(eval $(call PKG_template,PPP_MOD_PPPOE,ppp-mod-pppoe,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
$(eval $(call PKG_template,PPP_MOD_RADIUS,ppp-mod-radius,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
$(eval $(call PKG_template,CHAT,chat,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
$(eval $(call PKG_template,PPPDUMP,pppdump,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
$(eval $(call PKG_template,PPPSTATS,pppstats,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
+$(eval $(call PKG_mod_template,PPP_MOD_PPPOA,pppoatm))
$(eval $(call PKG_mod_template,PPP_MOD_PPPOE,rp-pppoe))
$(eval $(call PKG_mod_template,PPP_MOD_RADIUS,radius))
$(RSTRIP) $(IDIR_PPP)
$(IPKG_BUILD) $(IDIR_PPP) $(PACKAGE_DIR)
+$(IDIR_PPP_MOD_PPPOA)/sbin/ifup.pppoa:
+ install -d -m0755 $(IDIR_PPP_MOD_PPPOA)/sbin
+ install -m0755 ./files/ifup.pppoa $(IDIR_PPP_MOD_PPPOA)/sbin/
+
+$(IPKG_PPP_MOD_PPPOA): $(IDIR_PPP_MOD_PPPOA)/sbin/ifup.pppoa
+
$(IDIR_PPP_MOD_PPPOE)/sbin/ifup.pppoe:
install -d -m0755 $(IDIR_PPP_MOD_PPPOE)/sbin
install -m0755 ./files/ifup.pppoe $(IDIR_PPP_MOD_PPPOE)/sbin/
--- /dev/null
+#!/bin/sh
+[ $# = 0 ] && { echo " $0 <group>"; exit; }
+. /etc/functions.sh
+. /etc/network.overrides
+[ -e /etc/config/network ] && . /etc/config/network
+type=$1
+
+[ "$(nvram get ${type}_proto)" = "pppoa" ] || {
+ echo "$0: ${type}_proto isn't pppoa"
+ exit
+}
+
+for module in slhc ppp_generic pppox pppoatm; do
+ /sbin/insmod $module 2>&- >&-
+done
+
+while :; do
+ VPI=$(nvram get atm_vpi)
+ VCI=$(nvram get atm_vci)
+ USERNAME=$(nvram get ppp_username)
+ PASSWORD=$(nvram get ppp_passwd)
+ REDIAL=$(nvram get ppp_redialperiod)
+ REDIAL=${REDIAL:+lcp-echo-interval $REDIAL}
+ IDLETIME=$(nvram get ppp_idletime)
+ IDLETIME=${IDLETIME:+lcp-echo-failure $IDLETIME}
+ MTU=$(nvram get ppp_mtu)
+ MTU=${MTU:-1492}
+ MTU=${MTU:+ mtu $MTU mru $MTU}
+
+ ifconfig $IFNAME up
+ /usr/sbin/pppd nodetach \
+ plugin pppoatm.so ${VPI:-8}.${VCI:-35} \
+ connect /bin/true \
+ usepeerdns \
+ defaultroute \
+ linkname $type \
+ user "$USERNAME" \
+ password "$PASSWORD" \
+ $MTU \
+ $IDLETIME \
+ $REDIAL
+
+ # Read settings again (might have changed)
+ [ -e /etc/config/network ] && . /etc/config/network
+done &
--- /dev/null
+Package: ppp-mod-pppoa
+Priority: optional
+Section: net
+Maintainer: Matteo Croce <3297627799@wind.it>
+Source: buildroot internal
+Description: a PPPoA (PPP over ATM) plugin for PPP
+Depends: ppp, kmod-pppoa
--- /dev/null
+--- ppp-2.4.3/pppd/plugins/pppoatm/pppoatm.c 2005-08-26 15:18:55.000000000 +0200
++++ ppp-2.4.3/pppd/plugins/pppoatm/pppoatm.c 2005-08-26 15:19:51.000000000 +0200
+@@ -136,8 +136,6 @@
+ int fd;
+ struct atm_qos qos;
+
+- system ("/sbin/modprobe pppoatm");
+-
+ if (!device_got_set)
+ no_device_given_pppoatm();
+ fd = socket(AF_ATMPVC, SOCK_DGRAM, 0);
+@@ -152,8 +150,7 @@
+ qos.txtp.max_sdu = lcp_allowoptions[0].mru + pppoatm_overhead();
+ qos.rxtp.max_sdu = lcp_wantoptions[0].mru + pppoatm_overhead();
+ qos.aal = ATM_AAL5;
+- if (setsockopt(fd, SOL_ATM, SO_ATMQOS, &qos, sizeof(qos)) < 0)
+- fatal("setsockopt(SO_ATMQOS): %m");
++ setsockopt(fd, SOL_ATM, SO_ATMQOS, &qos, sizeof(qos));
+ /* TODO: accept on SVCs... */
+ if (connect(fd, (struct sockaddr *) &pvcaddr,
+ sizeof(struct sockaddr_atmpvc)))
+++ /dev/null
-diff -ruN ppp-2.4.3-orig/pppd/plugins/Makefile.linux ppp-2.4.3-3/pppd/plugins/Makefile.linux
---- ppp-2.4.3-orig/pppd/plugins/Makefile.linux 2004-11-14 08:57:35.000000000 +0100
-+++ ppp-2.4.3-3/pppd/plugins/Makefile.linux 2004-12-05 17:03:59.000000000 +0100
-@@ -9,7 +9,7 @@
- MANDIR = $(DESTDIR)/share/man/man8
- LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)
-
--SUBDIRS := rp-pppoe pppoatm radius
-+SUBDIRS := rp-pppoe radius
- # Uncomment the next line to include the radius authentication plugin
- # SUBDIRS += radius
- PLUGINS := minconn.so passprompt.so passwordfd.so winbind.so
$(SED) s,base-files-arch,base-files-$(BOARD),g $(IDIR_OPENWRT)/CONTROL/control
$(IPKG_OPENWRT): $(IDIR_OPENWRT)
- mkdir -p $(IDIR_OPENWRT)/etc/init.d
- [ -f files/network.overrides.$(BOARD) ] && cp files/network.overrides.$(BOARD) $(IDIR_OPENWRT)/etc/network.overrides
- [ -f files/S05nvram.$(BOARD) ] && install -m0755 files/S05nvram.$(BOARD) $(IDIR_OPENWRT)/etc/init.d/S05nvram
+ [ -d files/$(BOARD) ] && cp -a files/$(BOARD)/* $(IDIR_OPENWRT)/
+ find $(IDIR_OPENWRT) -name CVS | xargs rm -rf
+ find $(IDIR_OPENWRT) -name .svn | xargs rm -rf
$(RSTRIP) $(IDIR_OPENWRT)
$(IPKG_BUILD) $(IDIR_OPENWRT) $(PACKAGE_DIR)
+++ /dev/null
-# NVRAM setup
-#
-# This file handles the NVRAM quirks of various hardware.
-
-. /etc/network.overrides
-alias debug=${DEBUG:-:}
-
-remap () {
- for type in lan wifi wan pppoe
- do
- for s in '' s
- do
- eval nvram set ${type}_ifname$s=\"$(nvram get ${type}_ifname$s|sed s/$1/$2/g)\"
- done
- done
-}
-
-nvram_default() {
- [ -z "$(nvram get $1)" ] && nvram set "$1=$2"
-}
-
-# linksys bug; remove when not using static configuration for lan
-nvram set lan_proto="static"
-
-# hacks for wrt54g 1.x hardware
-[ "$(nvram get boardnum)" = "42" \
--a "$(nvram get boardtype)" = "bcm94710dev" ] && {
- debug "### wrt54g 1.x hack ###"
- nvram set vlan1hwname="et0"
- nvram set vlan2hwname="et0"
- remap eth0 vlan2
- remap eth1 vlan1
-}
-
-# hacks for asus wl-500g deluxe
-[ "$(nvram get boardtype)" = "bcm95365r" \
--a "$(nvram get boardnum)" = "45" ] && {
- debug "### wl-500g deluxe hacks ###"
- nvram set vlan0hwname="et0"
- nvram set vlan1hwname="et0"
- remap eth0.1 vlan0
- remap eth0 vlan1
-
- # set up the vlan*ports variables for the asus wl-500g deluxe
- # if they don't already exist
- nvram_default vlan0ports "1 2 3 4 5*"
- nvram_default vlan1ports "0 5"
-}
-
-# hacks for asus wl-300g
-[ "$(nvram get productid)" = "WL300g" ] && {
- debug "### wl-300g hacks ###"
- nvram set lan_ifnames="eth0 eth2"
- nvram set wan_ifname="none"
-}
-
-# hacks for asus wl-hdd
-[ "$(nvram get productid)" = "WLHDD" ] && {
- debug "### wl-hdd hacks ###"
- nvram set lan_ifnames="eth1 eth2"
- nvram set wan_ifname="none"
-}
-
-# hacks for wap54g hardware
-[ "$(nvram get boardnum)" = "2" \
--o "$(nvram get boardnum)" = "1024" ] && {
- debug "### wap54g hack ###"
- nvram set wan_ifname="none"
-}
-
-# hacks for buffalo wla2-g54l
-[ "$(nvram get boardnum)" = "00" \
--a "$(nvram get product_name)" = "Product_name" \
--o "$(nvram get product_name)" = "WLA2-G54L" ] && {
- debug "### wla2-g54l hacks ###"
- nvram set wan_ifname="none"
- nvram set lan_ifnames="vlan0"
-}
-
-# needed at least for wrt54gs v1.1 and wrt54g v2.0, v2.2
-[ \! -z "$(nvram get boardrev)" ] && {
- nvram set wl0id=0x4320
-}
-
-# defaults
-nvram_default lan_ifname "br0"
-nvram_default lan_ifnames "$FAILSAFE_ifnames"
-
-nvram_default wan_ifname "vlan1"
-nvram_default wan_proto "dhcp"
-
-nvram_default wl0_ssid OpenWrt
-nvram_default wl0_mode ap
-nvram_default wl0_infra 1
-nvram_default wl0_radio 1
-
-[ "$(nvram get il0macaddr)" = "00:90:4c:5f:00:2a" ] && {
- # if default wifi mac, set two higher than the lan mac
- nvram set il0macaddr=$(nvram get et0macaddr|
- awk '{OFS=FS=":";for(x=7,y=2;--x;){$x=sprintf("%02x",(y+="0x"$x)%256);y/=256}print}')
-}
-
--- /dev/null
+# Network configuration file
+# Uncomment the following statements to change the network configuration
+
+## LAN configuration
+# lan_ifame="br0"
+# lan_proto="static"
+# lan_ipaddr="192.168.1.1"
+# lan_netmask="255.255.255.0"
+# lan_gateway=""
+# lan_dns=""
+
+## WAN configuration (PPPoE)
+# wan_type=pppoe
+# wan_ifname=ppp0
+# pppoe_atm=1
+# pppoe_ifname=nas0
+# atm_vpi=8
+# atm_vci=35
+# ppp_username=my_username
+# ppp_passwd=my_passwd
+# ppp_mtu=1492
+
+## WAN configuration (PPPoA)
+# wan_type=pppoa
+# wan_ifname=ppp0
+# atm_vpi=8
+# atm_vci=35
+# ppp_username=my_username
+# ppp_passwd=my_passwd
+# ppp_mtu=1492
+
--- /dev/null
+# NVRAM overrides
+#
+# This file handles the NVRAM quirks of various hardware.
+# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
+
+# Load sysconf defaults
+[ -f /etc/sysconf ] && . /etc/sysconf
+
+DEFAULT_lan_proto="static"
+DEFAULT_lan_ifname="br0"
+DEFAULT_lan_ifnames="eth0"
+DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
+DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
+DEFAULT_lan_hwaddr=$(strings /dev/mtdblock/3 | grep -A1 maca | grep :)
+DEFAULT_lan_hwaddr=${DEFAULT_lan_hwaddr:-${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}}
+
+# failsafe if reset is held
+[ "$FAILSAFE" = "true" ] && {
+ echo "### YOU ARE IN FAILSAFE MODE ####"
+ lan_ifname=${DEFAULT_lan_proto}
+ lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
+ lan_ipaddr=$DEFAULT_lan_ipaddr
+ lan_netmask=$DEFAULT_lan_netmask
+ lan_hwaddr=$DEFAULT_lan_hwaddr
+ wan_ifname="none"
+ wifi_ifname="none"
+}
--- /dev/null
+# Network configuration file
+# Uncomment the following statements to override the default or nvram config
+
+## LAN configuration
+# lan_ifame="br0"
+# lan_proto="static"
+# lan_ipaddr="192.168.1.1"
+# lan_netmask="255.255.255.0"
+# lan_gateway=""
+# lan_dns=""
+
+## WAN configuration (PPPoE)
+# wan_type=pppoe
+# wan_ifname=ppp0
+# pppoe_ifname=vlan1
+# ppp_username=my_username
+# ppp_passwd=my_passwd
+# ppp_mtu=1492
--- /dev/null
+# NVRAM setup
+#
+# This file handles the NVRAM quirks of various hardware.
+
+. /etc/network.overrides
+alias debug=${DEBUG:-:}
+
+remap () {
+ for type in lan wifi wan pppoe
+ do
+ for s in '' s
+ do
+ eval nvram set ${type}_ifname$s=\"$(nvram get ${type}_ifname$s|sed s/$1/$2/g)\"
+ done
+ done
+}
+
+nvram_default() {
+ [ -z "$(nvram get $1)" ] && nvram set "$1=$2"
+}
+
+# linksys bug; remove when not using static configuration for lan
+nvram set lan_proto="static"
+
+# hacks for wrt54g 1.x hardware
+[ "$(nvram get boardnum)" = "42" \
+-a "$(nvram get boardtype)" = "bcm94710dev" ] && {
+ debug "### wrt54g 1.x hack ###"
+ nvram set vlan1hwname="et0"
+ nvram set vlan2hwname="et0"
+ remap eth0 vlan2
+ remap eth1 vlan1
+}
+
+# hacks for asus wl-500g deluxe
+[ "$(nvram get boardtype)" = "bcm95365r" \
+-a "$(nvram get boardnum)" = "45" ] && {
+ debug "### wl-500g deluxe hacks ###"
+ nvram set vlan0hwname="et0"
+ nvram set vlan1hwname="et0"
+ remap eth0.1 vlan0
+ remap eth0 vlan1
+
+ # set up the vlan*ports variables for the asus wl-500g deluxe
+ # if they don't already exist
+ nvram_default vlan0ports "1 2 3 4 5*"
+ nvram_default vlan1ports "0 5"
+}
+
+# hacks for asus wl-300g
+[ "$(nvram get productid)" = "WL300g" ] && {
+ debug "### wl-300g hacks ###"
+ nvram set lan_ifnames="eth0 eth2"
+ nvram set wan_ifname="none"
+}
+
+# hacks for asus wl-hdd
+[ "$(nvram get productid)" = "WLHDD" ] && {
+ debug "### wl-hdd hacks ###"
+ nvram set lan_ifnames="eth1 eth2"
+ nvram set wan_ifname="none"
+}
+
+# hacks for wap54g hardware
+[ "$(nvram get boardnum)" = "2" \
+-o "$(nvram get boardnum)" = "1024" ] && {
+ debug "### wap54g hack ###"
+ nvram set wan_ifname="none"
+}
+
+# hacks for buffalo wla2-g54l
+[ "$(nvram get boardnum)" = "00" \
+-a "$(nvram get product_name)" = "Product_name" \
+-o "$(nvram get product_name)" = "WLA2-G54L" ] && {
+ debug "### wla2-g54l hacks ###"
+ nvram set wan_ifname="none"
+ nvram set lan_ifnames="vlan0"
+}
+
+# needed at least for wrt54gs v1.1 and wrt54g v2.0, v2.2
+[ \! -z "$(nvram get boardrev)" ] && {
+ nvram set wl0id=0x4320
+}
+
+# defaults
+nvram_default lan_ifname "br0"
+nvram_default lan_ifnames "$FAILSAFE_ifnames"
+
+nvram_default wan_ifname "vlan1"
+nvram_default wan_proto "dhcp"
+
+nvram_default wl0_ssid OpenWrt
+nvram_default wl0_mode ap
+nvram_default wl0_infra 1
+nvram_default wl0_radio 1
+
+[ "$(nvram get il0macaddr)" = "00:90:4c:5f:00:2a" ] && {
+ # if default wifi mac, set two higher than the lan mac
+ nvram set il0macaddr=$(nvram get et0macaddr|
+ awk '{OFS=FS=":";for(x=7,y=2;--x;){$x=sprintf("%02x",(y+="0x"$x)%256);y/=256}print}')
+}
+
--- /dev/null
+# NVRAM overrides
+#
+# This file handles the NVRAM quirks of various hardware.
+# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
+
+# Load sysconf defaults
+[ -f /etc/sysconf ] && . /etc/sysconf
+
+# hacks for wrt54g 1.x hardware
+[ "$(nvram get boardnum)" = "42" \
+-a "$(nvram get boardtype)" = "bcm94710dev" ] && FAILSAFE_ifnames="vlan1 vlan2 eth2"
+
+# hacks for asus wl-500g deluxe
+[ "$(nvram get boardtype)" = "bcm95365r" \
+-a "$(nvram get boardnum)" = "45" ] && FAILSAFE_ifnames="vlan0 eth1"
+
+# hacks for wap54g hardware
+[ "$(nvram get boardnum)" = "2" \
+-o "$(nvram get boardnum)" = "1024" ] && FAILSAFE_ifnames="eth0 eth1"
+
+# hack for asus wl-500g hardware
+[ "$(nvram get boardnum)" = "asusX" \
+-a "$(nvram get boardtype)" = "bcm94710dev" ] && FAILSAFE_ifnames="eth0 eth1 eth2"
+
+FAILSAFE_ifnames=${FAILSAFE_ifnames:-"vlan0 vlan1 eth1 eth2 eth3"}
+
+DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
+DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
+DEFAULT_lan_hwaddr=${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}
+
+# failsafe if reset is held
+[ "$FAILSAFE" = "true" ] && {
+ echo "### YOU ARE IN FAILSAFE MODE ####"
+ NVRAM_lan_ifname="br0"
+ NVRAM_lan_ifnames=$FAILSAFE_ifnames
+ NVRAM_lan_ipaddr=DEFAULT_lan_ipaddr
+ NVRAM_lan_netmask=DEFAULT_lan_netmask
+ NVRAM_lan_hwaddr=DEFAULT_lan_hwaddr
+ NVRAM_wan_ifname="none"
+ NVRAM_wifi_ifname="none"
+}
+++ /dev/null
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-DEFAULT_lan_proto="static"
-DEFAULT_lan_ifname="br0"
-DEFAULT_lan_ifnames="eth0"
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-DEFAULT_lan_hwaddr=$(strings /dev/mtdblock/3 | grep -A1 maca | grep :)
-DEFAULT_lan_hwaddr=${DEFAULT_lan_hwaddr:-${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}}
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- lan_ifname=${DEFAULT_lan_proto}
- lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
- lan_ipaddr=$DEFAULT_lan_ipaddr
- lan_netmask=$DEFAULT_lan_netmask
- lan_hwaddr=$DEFAULT_lan_hwaddr
- wan_ifname="none"
- wifi_ifname="none"
-}
+++ /dev/null
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-# hacks for wrt54g 1.x hardware
-[ "$(nvram get boardnum)" = "42" \
--a "$(nvram get boardtype)" = "bcm94710dev" ] && FAILSAFE_ifnames="vlan1 vlan2 eth2"
-
-# hacks for asus wl-500g deluxe
-[ "$(nvram get boardtype)" = "bcm95365r" \
--a "$(nvram get boardnum)" = "45" ] && FAILSAFE_ifnames="vlan0 eth1"
-
-# hacks for wap54g hardware
-[ "$(nvram get boardnum)" = "2" \
--o "$(nvram get boardnum)" = "1024" ] && FAILSAFE_ifnames="eth0 eth1"
-
-# hack for asus wl-500g hardware
-[ "$(nvram get boardnum)" = "asusX" \
--a "$(nvram get boardtype)" = "bcm94710dev" ] && FAILSAFE_ifnames="eth0 eth1 eth2"
-
-FAILSAFE_ifnames=${FAILSAFE_ifnames:-"vlan0 vlan1 eth1 eth2 eth3"}
-
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-DEFAULT_lan_hwaddr=${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- NVRAM_lan_ifname="br0"
- NVRAM_lan_ifnames=$FAILSAFE_ifnames
- NVRAM_lan_ipaddr=DEFAULT_lan_ipaddr
- NVRAM_lan_netmask=DEFAULT_lan_netmask
- NVRAM_lan_hwaddr=DEFAULT_lan_hwaddr
- NVRAM_wan_ifname="none"
- NVRAM_wifi_ifname="none"
-}
+++ /dev/null
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-DEFAULT_lan_proto="static"
-DEFAULT_lan_ifname="br0"
-DEFAULT_lan_ifnames="eth0"
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-DEFAULT_lan_hwaddr=${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- lan_ifname=${DEFAULT_lan_proto}
- lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
- lan_ipaddr=$DEFAULT_lan_ipaddr
- lan_netmask=$DEFAULT_lan_netmask
- lan_hwaddr=$DEFAULT_lan_hwaddr
- wan_ifname="none"
- wifi_ifname="none"
-}
--- /dev/null
+# Network configuration file
+# Uncomment the following statements to override the default or nvram config
+
+## LAN configuration
+# lan_ifame="br0"
+# lan_proto="static"
+# lan_ipaddr="192.168.1.1"
+# lan_netmask="255.255.255.0"
+# lan_gateway=""
+# lan_dns=""
--- /dev/null
+# NVRAM overrides
+#
+# This file handles the NVRAM quirks of various hardware.
+# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
+
+# Load sysconf defaults
+[ -f /etc/sysconf ] && . /etc/sysconf
+
+DEFAULT_lan_proto="static"
+DEFAULT_lan_ifname="br0"
+DEFAULT_lan_ifnames="eth0"
+DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
+DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
+DEFAULT_lan_hwaddr=${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}
+
+# failsafe if reset is held
+[ "$FAILSAFE" = "true" ] && {
+ echo "### YOU ARE IN FAILSAFE MODE ####"
+ lan_ifname=${DEFAULT_lan_proto}
+ lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
+ lan_ipaddr=$DEFAULT_lan_ipaddr
+ lan_netmask=$DEFAULT_lan_netmask
+ lan_hwaddr=$DEFAULT_lan_hwaddr
+ wan_ifname="none"
+ wifi_ifname="none"
+}